Subject: RE: nmake and '\' style path ...
From: [email-masked] (Peter A. Vogel)

7 Dec 1998 19:23:10 -0800
Message-ID: <[email-masked]>
References: <[email-masked]>
Mime-Version: 1.0
Content-Type: text/plain;
	charset="iso-8859-1"
Content-Transfer-Encoding: 7bit
To: "Song Jin" <[email-masked]>, <[email-masked]>

\ is an escape character to the cygnus shell (like it is to all
true shells).  Hence if you want a literal backslash, you must use
two backslashes.

More to the point, if you are going to use the cygnus shell, you 
should use the cygnus make (or your own compilation of gnumake)
which understands forward slashes.  Do not use that horrible 
excuse for a make utility that Microsoft foists on unsuspecting
developers as a way to reduce their productivity.

-Peter

> -----Original Message-----
> From: [email-masked] [mailto:[email-masked]]On
> Behalf Of Song Jin
> Sent: Sunday, December 06, 1998 7:28 PM
> To: [email-masked]
> Subject: nmake and '\' style path ...
> 
> 
> I have played with gnuwin32 for just a little bit 
> more than a month. The make works smoothly, yet I can get nmake 
> working properly. The problem I have
> been confronting is that the '\' style path seems
> not being recognized by the shell - I assigned env
> var to maintain the path info required by nmake. I set the 
> 'MAKE_MODE' to win32 already. It seems 
> to me the shell always discard the '\' in path env var, and 
> complain the executables cannot be found. Could anyone give me 
> advice on solving the problem? I would appreciate. Thanks in advance.
> -
> For help on using this list (especially unsubscribing), send a message to
> "[email-masked]" with one line of text: "help".
> 
-
For help on using this list (especially unsubscribing), send a message to
"[email-masked]" with one line of text: "help".